function R = Euler2Matrix(e)
%
% This function returns the rotation matrix corresponding to a set of Euler
% parameters.
%

R=2*[ e(1)^2+e(2)^2-0.5    e(2)*e(3)-e(1)*e(4) e(2)*e(4)+e(1)*e(3);
      e(2)*e(3)+e(1)*e(4)  e(1)^2+e(3)^2-0.5   e(3)*e(4)-e(1)*e(2);
      e(2)*e(4)-e(1)*e(3)  e(3)*e(4)+e(1)*e(2) e(1)^2+e(4)^2-0.5  ];

end

